PrompticPromptic

Get artifact metadata

GET
/artifacts/{artifactId}

Authorization

AuthorizationBearer <token>

API key from AI Application settings

In: header

Path Parameters

artifactId*string
Formatuuid

Query Parameters

aiApplicationId?string

AI Application scope for session-authenticated browser requests. Omit when using Bearer API keys because the key carries AI Application scope.

Formatuuid

Header Parameters

X-AI-Application-Id?string

Alternative AI Application scope for session-authenticated requests. Ignored when using Bearer API keys.

Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://loading/api/v1/artifacts/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "aiApplicationId": "28acdec5-1fbb-41a8-ab4f-c30d8d073e92",
  "storageObjectId": "7f5af0cf-fc95-42d7-a16f-f40e471a1b60",
  "traceDbId": "bcc7281d-b925-42a7-8484-03f5a7b15e9f",
  "spanDbId": "9c7fffc1-7007-4b3f-922e-03e982c374d9",
  "traceId": "string",
  "spanId": "string",
  "sourcePath": "string",
  "sourceField": "string",
  "source": "string",
  "mimeType": "string",
  "sizeBytes": 0,
  "sha256": "string",
  "preview": "string",
  "createdAt": "string",
  "uri": "string",
  "contentUrl": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}